USE [SageFrontOfficePruebas]
GO

/****** Object:  Table [RADIO].[RESOLUCIONES]    Script Date: 16/06/2020 7:27:14 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [RADIO].[RESOLUCIONES](
	[SOL_UID] [uniqueidentifier] NOT NULL,
	[RES_NAME] [nvarchar](250) NULL,
	[RES_CONTENT] [nvarchar](max) NULL,
	[RES_CODIGO] [nvarchar](32) NULL,
	[RES_VERSION] [nvarchar](16) NULL,
	[RES_IS_CREATED] [bit] NOT NULL,
	[RES_CREATED_DATE] [datetime] NOT NULL,
	[RES_MODIFIED_DATE] [datetime] NOT NULL,
	[RES_TRACKING_COUNT] [int] NOT NULL,
	[RES_PDF_FILE] [varbinary](max) NULL,
 CONSTRAINT [PK_RESOLUCIONES_1] PRIMARY KEY CLUSTERED 
(
	[SOL_UID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [RADIO].[RESOLUCIONES] ADD  CONSTRAINT [DF_RESOLUCIONES_RES_IS_CREATED]  DEFAULT ((0)) FOR [RES_IS_CREATED]
GO

ALTER TABLE [RADIO].[RESOLUCIONES] ADD  CONSTRAINT [DF_RESOLUCIONES_RES_CREATED_DATE]  DEFAULT (getdate()) FOR [RES_CREATED_DATE]
GO

ALTER TABLE [RADIO].[RESOLUCIONES] ADD  CONSTRAINT [DF_RESOLUCIONES_RES_MODIFIED_DATE]  DEFAULT (getdate()) FOR [RES_MODIFIED_DATE]
GO

ALTER TABLE [RADIO].[RESOLUCIONES] ADD  CONSTRAINT [DF_RESOLUCIONES_RES_TRACKING_COUNT]  DEFAULT ((0)) FOR [RES_TRACKING_COUNT]
GO

ALTER TABLE [RADIO].[RESOLUCIONES]  WITH CHECK ADD  CONSTRAINT [FK_RESOLUCIONES_SOLICITUDES] FOREIGN KEY([SOL_UID])
REFERENCES [RADIO].[SOLICITUDES] ([SOL_UID])
GO

ALTER TABLE [RADIO].[RESOLUCIONES] CHECK CONSTRAINT [FK_RESOLUCIONES_SOLICITUDES]
GO


